### Method

# Vips Image round

#### Declaration [src]

    int
    vips_round (
      VipsImage* in,
      VipsImage** out,
      VipsOperationRound round,
      ...
    )

#### Description [src]

Round to an integral value.

Copy for integer types, round float and complex types.

The format of `out` is always the same as `in`, so you may wish to cast to an integer format afterwards.

See also

`vips_cast()`.

This method is not directly available to language bindings.

#### Parameters

`out`

  Type: `VipsImage`

  Output `VipsImage`.

  The argument will be set by the function.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.

`round`

  Type: `VipsOperationRound`

  `VipsOperation`Round rounding operation to perform.

`...`

  Type: ``

  `NULL`-terminated list of optional named arguments.

#### Return value

Type: `int`

0 on success, -1 on error.